curl --request PATCH \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"account_number": "4000",
"parent_id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts/{accountId}"
payload = {
"name": "<string>",
"account_number": "4000",
"parent_id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": { "display_name": "Asset" },
"account_subtype": { "display_name": "Current Assets" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
account_number: '4000',
parent_id: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
stable_name: {type: 'StableName', stable_name: 'CURRENT_ASSETS'},
account_type: {display_name: 'Asset'},
account_subtype: {display_name: 'Current Assets'}
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
}Patch update ledger account
Partially updates a ledger account based on the provided fields.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business to confirm the matches for
The id of the ledger account to update
Body
Parameters for partially updating a ledger account (PATCH operation). All fields are optional.
Account name
Optional account number for the ledger account
"4000"
Account normality
CREDIT, DEBIT The Account Identifier of the parent account under which this ledger account is categorized.
- Account ID
- Account Stable Name
Show child attributes
Show child attributes
The Stable Name for the account.
Show child attributes
Show child attributes
Type of the ledger account
Show child attributes
Show child attributes
Subtype of the ledger account
Show child attributes
Show child attributes
Response
The updated ledger account
A single ledger account without nested children
ID of the account
- Account ID
- Account Stable Name
Show child attributes
Show child attributes
Name of the account
"Current Assets"
Account number if configured
"4000"
Show child attributes
Show child attributes
CREDIT, DEBIT Show child attributes
Show child attributes
Show child attributes
Show child attributes